<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFiles Method (IEdmBatchListing)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchListing Interface : GetFiles Method (IEdmBatchListing)

Visual Basic
C#
C++/CLI

ppoFiles
  Array of EdmListFile structures; one structure for each file in the listing

Obsolete. Superseded by IEdmBatchListing4::GetFiles2.

# Syntax

Visual Basic |
--- | ---

    Sub GetFiles( _
       ByRef ppoFiles() As EdmListFile _
    )

C# |
--- | ---

    void GetFiles(
       out EdmListFile[] ppoFiles
    )

C++/CLI |
--- | ---

    void GetFiles(
    &   [Out] array<EdmListFile>^ ppoFiles
    )

#### Parameters

ppoFiles
  Array of EdmListFile structures; one structure for each file in the listing

# Remarks

Before calling this method, call IEdmBatchListing::CreateList.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchListing Interface
IEdmBatchListing Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional